<?php

use Spatie\LaravelSettings\Migrations\SettingsBlueprint;
use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->inGroup('hr', function (SettingsBlueprint $blueprint): void {
            $blueprint->add('scheduled_check_in_time', '08:00');
            $blueprint->add('scheduled_check_out_time', '17:00');
            $blueprint->add('late_penalty_amount', 0);
            $blueprint->add('absent_penalty_amount', 0);
        });
    }
};
